This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 00:57
Elapsed6m52s
Revision
Builderaaa6cb54-73b3-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/044b043c-265e-4447-af43-6008dc847de1/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/044b043c-265e-4447-af43-6008dc847de1/targets/test
infra-commit8c28b7a45

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 00:57:21.254] process 30 exited with code 0 after 0.0m
I0401 00:57:21.254] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 00:57:21.254] Root: /workspace
I0401 00:57:21.254] cd to /workspace
I0401 00:57:21.255] Configure environment...
I0401 00:57:21.255] Call:  git show -s --format=format:%ct HEAD
W0401 00:57:21.259] fatal: not a git repository (or any of the parent directories): .git
I0401 00:57:21.260] process 43 exited with code 128 after 0.0m
W0401 00:57:21.260] Unable to print commit date for HEAD
I0401 00:57:21.260] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 00:57:21.771] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 00:57:22.710] process 44 exited with code 0 after 0.0m
I0401 00:57:22.711] Call:  gcloud config get-value account
I0401 00:57:23.652] process 57 exited with code 0 after 0.0m
I0401 00:57:23.652] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 00:57:23.652] Start 1245153159152668672 at ...
I0401 00:57:23.655] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_pa2bHd gs://kubernetes-jenkins/logs/metrics-kettle/1245153159152668672/started.json
I0401 00:57:26.738] process 70 exited with code 0 after 0.1m
I0401 00:57:26.739] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 00:57:26.769] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 01:04:00.964] ERROR: table k8s-gubernator:build.all is 18.0 hours old. Max allowed: 6 hours.
I0401 01:04:00.964] ERROR: table k8s-gubernator:build.week is 18.2 hours old. Max allowed: 6 hours.
I0401 01:04:00.964] ERROR: table k8s-gubernator:build.day is 17.7 hours old. Max allowed: 6 hours.
I0401 01:04:00.965] Collected data:
I0401 01:04:00.965] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 01:04:00.965] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 01:04:00.965] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 01:04:00.965] 
W0401 01:04:01.066] Traceback (most recent call last):
... skipping 22 lines ...
W0401 01:04:01.070]     self.send(msg)
W0401 01:04:01.070]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 01:04:01.070]     self.connect()
W0401 01:04:01.070]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 01:04:01.070]     conn = self._new_conn()
W0401 01:04:01.070]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 01:04:01.071]     self, "Failed to establish a new connection: %s" % e
W0401 01:04:01.071] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fbd04ad4da0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 01:04:01.071] 
W0401 01:04:01.071] During handling of the above exception, another exception occurred:
W0401 01:04:01.071] 
W0401 01:04:01.071] Traceback (most recent call last):
W0401 01:04:01.071]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 01:04:01.072]     timeout=timeout
W0401 01:04:01.072]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 01:04:01.072]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 01:04:01.072]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 01:04:01.072]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 01:04:01.073] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fbd04ad4da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 01:04:01.073] 
W0401 01:04:01.073] During handling of the above exception, another exception occurred:
W0401 01:04:01.073] 
W0401 01:04:01.073] Traceback (most recent call last):
W0401 01:04:01.074]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 01:04:01.074]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 01:04:01.076]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 01:04:01.076]     resp = self.send(prep, **send_kwargs)
W0401 01:04:01.076]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 01:04:01.076]     r = adapter.send(request, **kwargs)
W0401 01:04:01.076]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 01:04:01.076]     raise ConnectionError(e, request=request)
W0401 01:04:01.077] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fbd04ad4da0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 01:04:01.088] Traceback (most recent call last):
W0401 01:04:01.088]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 01:04:01.088]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 01:04:01.089]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 01:04:01.089]     check(*cmd)
W0401 01:04:01.089]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 01:04:01.089]     subprocess.check_call(cmd)
W0401 01:04:01.089]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 01:04:01.089]     raise CalledProcessError(retcode, cmd)
W0401 01:04:01.090] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 01:04:01.101] Command failed
I0401 01:04:01.101] process 252 exited with code 1 after 6.6m
E0401 01:04:01.102] FAIL: metrics-kettle
I0401 01:04:01.102] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 01:04:01.747] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 01:04:02.464] process 256 exited with code 0 after 0.0m
I0401 01:04:02.464] Call:  gcloud config get-value account
I0401 01:04:03.572] process 269 exited with code 0 after 0.0m
I0401 01:04:03.573] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 01:04:03.573] Upload result and artifacts...
I0401 01:04:03.574] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245153159152668672
W0401 01:04:03.574] Missing local artifacts : /workspace/_artifacts
W0401 01:04:03.574] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 01:04:03.575] metadata not found or invalid, init with empty metadata
I0401 01:04:03.575] Call:  git rev-parse HEAD
W0401 01:04:03.591] fatal: not a git repository (or any of the parent directories): .git
E0401 01:04:03.592] Command failed
I0401 01:04:03.592] process 281 exited with code 128 after 0.0m
I0401 01:04:03.593] Call:  git rev-parse HEAD
I0401 01:04:03.602] process 282 exited with code 0 after 0.0m
I0401 01:04:03.603] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 01:04:05.627] process 283 exited with code 0 after 0.0m
I0401 01:04:05.628] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585699389050553'
... skipping 8 lines ...